<?php

include('config.inc.php');

$result = array('code' => 0);

function OutputResult($res)
{
    echo json_encode($res, JSON_UNESCAPED_UNICODE);
    exit();
}

function getIPAddress()
{
    //whether ip is from the share internet
     if(!empty($_SERVER['HTTP_CLIENT_IP']))
     {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
     }
    //whether ip is from the proxy
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
    {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    }
    //whether ip is from the remote address
    else
    {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}


$db = new PDO('mysql:host=' . $config['host'] . ';dbname=' . $config['database'], $config['dbuser'], $config['password'], [
    \PDO::ATTR_DEFAULT_FETCH_MODE => \PDO::FETCH_ASSOC,
    \PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'"
  ]);

header ('Content-type: application/json; charset=utf-8');
$request = ($_SERVER['REQUEST_METHOD'] == 'POST') ? $_POST : $_GET;

$sql = 'INSERT INTO mntn_cmd_results(`cid`,`result`,`content`) VALUES(:cid,:result,:content)';
$stmt = $db->prepare($sql);
$stmt->execute(array('cid' => intval($request['cid']), 'result' => intval($request['res']), 'content' => empty($request['content']) ? '' : $request['content']));

OutputResult($result);
