<?php

include('config.inc.php');

$db = new PDO('mysql:host=' . $config['host'] . ';dbname=' . $config['database'], $config['dbuser'], $config['password'], [
    \PDO::ATTR_DEFAULT_FETCH_MODE => \PDO::FETCH_ASSOC,
    \PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'"
  ]);

$values['term_id'] = empty($_GET['id']) ? 0 : intval($_GET['id']);
$values['comment'] = empty($_GET['comment']) ? '' : $_GET['comment'];

$result = array('res' => 0, 'data' => array('id' => $values['term_id']));

$sql = "UPDATE mntn_status SET `comment`=:comment WHERE `term_id`=:term_id";
$stmt = $db->prepare($sql);
if (!$stmt->execute($values))
{
  $result['res'] = 1;
}

header ('Access-Control-Allow-Origin: *');
header ('Content-type: application/json; charset=utf-8');
echo json_encode($result, JSON_UNESCAPED_UNICODE);
