<?php

include('config.inc.php');

$db = new PDO('mysql:host=' . $config['host'] . ';dbname=' . $config['database'], $config['dbuser'], $config['password'], [
    \PDO::ATTR_DEFAULT_FETCH_MODE => \PDO::FETCH_ASSOC,
    \PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'"
  ]);

$result = array('res' => 0, 'data' => array());

$id = empty($_GET['id']) ? 0 : intval($_GET['id']);
$action = empty($_GET['act']) ? '' : $_GET['act'];

if ($action == 'del')
{
  $values = array('id' => $id);
  $sql = "SELECT `id`,`path` FROM mntn_upgrades WHERE `id`=:id";
  $stmt = $db->prepare($sql);
  $stmt->execute($values);

  $rows = $stmt->fetchAll();
  $stmt = null;

  $sql = "DELETE FROM mntn_upgrades WHERE `id`=:id LIMIT 1";
  $stmt = $db->prepare($sql);

  foreach ($rows as $row)
  {
      $dest = $config['upgrade_file_path'] . $row['path'];
      if (unlink($dest))
      {
        $stmt->execute(array('id' => $row['id']));
        $result['data'][] = $row['id'];
      }
  }
  unset($item);
}
else if ($action == 'edt')
{
  $title = empty($_GET['title']) ? '' : $_GET['title'];
  $values = array('id' => $id, 'title' => $title);
  
  $sql = "UPDATE mntn_upgrades SET `title`=:title WHERE `id`=:id LIMIT 1";
  $stmt = $db->prepare($sql);

  $stmt->execute($values);
  $result['data'][] = $id;
}

header ('Access-Control-Allow-Origin: *');
header ('Content-type: application/json; charset=utf-8');
echo json_encode($result, JSON_UNESCAPED_UNICODE);
