<?php

include('config.inc.php');

$result = array('res' => 1, 'data' => array());

$db = new PDO('mysql:host=' . $config['host'] . ';dbname=' . $config['database'], $config['dbuser'], $config['password'], [
    \PDO::ATTR_DEFAULT_FETCH_MODE => \PDO::FETCH_ASSOC,
    \PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'"
  ]);

  $title = empty($_POST['title']) ? '' : $_POST['title'];
  $upgradeType = empty($_POST['upgradeType']) ? 0 : intval($_POST['upgradeType']);
if (isset($_FILES))
{
    $termIds = array(); // cmdid => id
    $paramTermId = isset($_GET['termId']) ? intval($_GET['termId']) : 0;
    
    $sql = "INSERT INTO mntn_upgrades(`title`,`file_name`,`path`,`file_size`,`md5`,`type`) VALUES(:title,:fileName,:path,:fileSize,:md5,:upgType)";
    $stmt = $db->prepare($sql);
    $stmt2 = null;

    foreach ($_FILES as $file)
    {
        $extension = pathinfo($file['name'], PATHINFO_EXTENSION);
        $fileName = date('Ymd') . '_' . uniqid('upd_');
        if (!empty($extension))
        {
            $fileName .= '.' . $extension;
        }
        $dest = $config['upgrade_file_path'] . $fileName;
        
        if (!move_uploaded_file($file['tmp_name'], $dest))
        {
            // error_log("move_uploaded_file failed: " . $dest);
            continue;
        }
    
        $md5 = md5($dest);
        $item = array('fileName' => $file['name'], 'path' => $fileName, 'fileSize' => $file['size'], 'title' => $title, 'md5' => $md5, 'upgType' => $upgradeType);
        $res = $stmt->execute($item);
        if (!$res)
        {
            // error_log(print_r($stmt->errorInfo(), true));
        }
        else
        {
            $item['id'] = $db->lastInsertId();
            $item['path'] = $config['upgrade_root'] . $item['path'];
            $result['data'][] = $item;
        }
    }
}

$result['res'] = 0;

header ('Content-type: application/json; charset=utf-8');
echo json_encode($result, JSON_UNESCAPED_UNICODE);
